Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.nds.dirxml.driver.xds
Interface AssociationElementsParent

All Superinterfaces:
  XDSElement

All Known Implementing Classes:
  XDSModifyAssociationElement

public interface AssociationElementsParent
extends XDSElement

Any XDS element that contains zero or more child `<association>` elements.

This class represents the occurrence indicators `association` (zero or more) and `association+` (one or more) as well as a sequence that contains multiple association elements `(association, association)`. Currently, the only implementing class implements a sequence.

Method Summary
`XDSAssociationElement` | `appendAssociationElement(String someText)` Appends a child `<association>` element to this element.
`List` | `childElements()` Returns this element's child elements.
`List` | `extractAssociationElements()` Returns this element's child `<association>` elements.

Methods inherited from interface com.novell.nds.dirxml.driver.xds.XDSElement
`attributeValueGet, attributeValueGet, attributeValueSet, domDocument, domElement, localName, namespaceName, position, tagName`

Method Detail

### extractAssociationElements

    public List extractAssociationElements()

  Returns this element's child `<association>` elements.

  Invocation Context:
    READ

  Returns:
    a list of two `XDSAssociationElement` objects; will not return `null`

### appendAssociationElement

    public XDSAssociationElement appendAssociationElement(String someText)

  Appends a child `<association>` element to this element. The `<association>` element contains the text `someText`.

  Invocation Context:
    WRITE

  Parameters:
    `someText` - the association value; if `null` or `""`, an empty, child `<association>` element is appended
  Returns:
    will not return `null`

### childElements

    public List childElements()

  Returns this element's child elements.

  Invocation Context:
    READ

  Specified by:
    `childElements` in interface `XDSElement`
  Returns:
    a list of two `XDSAssociationElement` and zero or more `NonXDSElement` objects; will not return `null`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD